package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Bch;
import com.brilliance.isc.bo.BchCondition;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface BchOldMapper {

    int insert(Bch record);

    int insertSelective(Bch record);

    int updateByPrimaryKeySelective(Bch record);

    int updateByPrimaryKey(Bch record);

    int deleteByPrimaryKey(Bch record);

    int deleteByIds(Collection<Object> collection);

    Bch selectByPrimaryKey(Bch record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Bch> dyncRead(Map<String,Object> dyncMap);

    //String getZMQFlag(String bchkey);

    //String getAccbch(String bchkey);

    //Bch getBchByBchkey(String bchkey);

    String getBchlst(String bchinr);

    List<Bch> queryBchByVo(@Param("vo") BchCondition bchCondition);

    String queryInrFromBch(@Param("branch") String bchCode);
    List<Bch> selectByRecord(Bch bch);

    Bch selectByBranch(String branch);

    String selectBranchByAccbch(String accbch);
	 List<Bch> selectByBchTypeList(List<String> bchTypeList);

    List<Bch> selectByBranchOrInr(@Param("branch")String branch, @Param("inr")String inr);

    Bch selectByBranch(Bch record);

    Bch selectByCondition(Bch bch);

    List<Bch>  selectByConditionList(Bch bch);

    String selectInrByBranch(@Param("branch") String branch);

    String selectInrBySwfcodAndLev(@Param("swfcod") String swfcod,@Param("lev") String lev);

}